{* editAdresa *}
<button class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#editAdresaModal">
    <i class="fas fa-edit me-2"></i>Editovat
</button>
{*edit logo Modal*}
<div class="modal fade" id="editAdresaModal">
    <div class="modal-dialog modal-xl modal-fullscreen-xl-down">
        <form n:name=editAdresaForm>
            <div class="modal-content">
                <div class="modal-header bg-primary text-white">
                    <h5 class="modal-title">Editace adresy</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <div class="row">
                        <div class="col-12 col-md-6 mb-3">
                            <div class="card">
                                <div class="card-header bg-header text-white">
                                    Základní informace
                                </div>
                                <div class="card-body">
                                    <div class="row mb-0">
                                        <div class="col-12 mb-3">
                                            <div class="input-group">
                                                <span class="input-group-text"><i class="fa-solid fa-pen"></i></span>
                                                <input n:name="company" class="form-control" placeholder="Název">
                                            </div>
                                        </div>
                                        <div class="col-12 mb-3">
                                            <div class="input-group">
                                                <span class="input-group-text"><i class="fa-solid fa-map-marked-alt"></i></span>
                                                <input n:name="compAddr" class="form-control" placeholder="Ulice">
                                            </div>
                                        </div>
                                        <div class="col-12 mb-3">
                                            <div class="input-group">
                                                <span class="input-group-text"><i class="fa-solid fa-city"></i></span>
                                                <input n:name="compCity" class="form-control" placeholder="Město">
                                            </div>
                                        </div>
                                        <div class="col-12 col-md-6 mb-3">
                                            <div class="input-group">
                                                <span class="input-group-text"><i class="fab fa-usps"></i></span>
                                                <input n:name="compPost" class="form-control" placeholder="Psč">
                                            </div>
                                            <div class="form-text">Psč zadejte ve formátu 123 45</div>
                                        </div>
                                        <hr>
                                        <div class="col-12 mb-3">
                                            <div class="input-group">
                                                <span class="input-group-text">Ič</span>
                                                <input n:name="compIc" class="form-control" placeholder="Ič">
                                            </div>
                                        </div>
                                        <div class="col-12 mb-3">
                                            <div class="input-group">
                                                <span class="input-group-text">Dič</span>
                                                <input n:name="compDic" class="form-control" placeholder="Dič">
                                            </div>
                                        </div>
                                        <hr>
                                        <div class="col-12 mb-3">
                                            <div class="input-group">
                                                <span class="input-group-text"><i class="fas fa-phone"></i></span>
                                                <input n:name="phone" class="form-control" placeholder="Telefonní číslo">
                                            </div>
                                            <div class="form-text">Tel. číslo zadejte ve formátu 123 456 789</div>
                                        </div>
                                        <div class="col-12 mb-3">
                                            <div class="input-group">
                                                <span class="input-group-text"><i class="fas fa-envelope"></i></span>
                                                <input n:name="email" class="form-control" placeholder="Emailová adresa">
                                            </div>
                                            <div class="form-text">Adresa pro zprávy z kontaktního formuláře.</div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-12 col-md-6">
                            <div class="card">
                                <div class="card-header bg-header text-white">
                                    Mapa
                                </div>
                                <div class="card-body">
                                    <div class="row">
                                        <div class="col-12 mb-3">
                                            <div class="input-group">
                                                <span class="input-group-text"><i class="fa-solid fa-map-location"></i></span>
                                                <input n:name="mapa" class="form-control edit-mapa-adresa" placeholder="Odkaz mapy" onchange="loadMapaAdresaEdit()">
                                            </div>
                                        </div>
                                        <div class="col-12">
                                            <div class="bg-content-white p-1 edit-mapa-nahled" style="display: none"></div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <a class="btn btn-outline-secondary" data-bs-dismiss="modal">Zavřít</a>
                    <button class="btn btn-success" n:name="send"><i class="fas fa-save me-2"></i>Uložit</button>
                </div>
            </div>
        </form>
    </div>
</div>
<script>
    $(document).ready(function () {
        loadMapaAdresaEdit()
    });
    // pomocné funkce
    function loadMapaAdresaEdit()
    {
        var mapa = $('.edit-mapa-adresa').val();
        let nahled = $('.edit-mapa-nahled');
        let nahledIframe = $('.edit-mapa-nahled iframe');

        if(mapa != ''){
            var html = '<iframe src="'+mapa+'" width="100%" height="350" style="border:0;" allowfullscreen="" loading="lazy"></iframe>';
            nahledIframe.remove();
            nahled.append(html);
            nahled.show();
        }else{
            nahled.hide();
            nahledIframe.remove();
        }
    }
</script>